.NOLIST
#INCLUDE "ti83plus.inc"
#DEFINE  ProgStart    $9D95
.LIST
.db $bb,$6d
.org $9d95
	jr run
version:
	.db "1.06b",0
run:
	bcall(_RunIndicOff)
	b_call _ClrLCDFull
#include "menu.asm"
mainloop:
	ld HL,(timer)
	inc HL				;increments the key press timer
	ld (timer),HL
	call clearEn		;clears enemy location
	call clearLoc		;clears your location
	call dispTrees		;displays all the "trees" as listed by the array trees
	call clearTop
	call dispStats		;displays stats
	call dispEn			;displays the enemy
	call dispLoc		;displays you 0.o
	call StoreLoc		;stores your location
	call StoreEn		;stores enemy location
	ld a, (difficulty)	;stores the difficulty to tmp and loops the correct amount of time
	ld (tmp),a
label1:
	ld b,4		;figures out wich way the AI moves
	call iRandom
	cp 0
	jp z,enRight
	cp 1
	jp z,enLeft
	cp 2
	jp z,enUp
	cp 3
	jp z,enDown
label2
	ld a,(tmp)
	dec a
	ld (tmp),a		;stores decremented counter to tmp
	inc a			;increments for the check
	ld b, a
	DJNZ label1		;if (b-1)!=0 loop again
keyloop:
	bcall(_getCSC)
	or a				;figures out which key was pressed
	jr z, keyloop
	cp skClear
	jp z, exit3
	cp skUp
	jr z, up
	cp skDown
	jr z, down
	cp skLeft
	jr z, left
	cp skRight
	jr z, right
	jp keyloop
wincheck:
	ld a, (column)		;wincheck start
	ld b, a				;stores current column into b
	ld a, (enCol)		;current enemy column into a
	or a				;
	cp b				;if not equal
	jp nz, mainloop		;jump to keyloop
	ld a, (row)			;
	ld b, a				;row to b
	ld a, (enRow)		;enemy row to a
	or a				;
	cp b				;if equal exit
	jp nz, mainloop		;wincheck end
	ld a,(health)
	dec a
	ld (health), a
	cp 0
	jp z, exit
	jp mainloop
right:					;move right one space
	ld a,(column)
	cp 15
	jp z,wincheck
	inc a
	ld (column),a
	jp wincheck
left:					;move left
	ld a,(column)
	cp 0
	jp z,wincheck
	dec a
	ld (column),a
	jp wincheck
up:						;eat it, just eat it
	ld a,(row)			;j/k move up
	cp 1
	jp z,wincheck
	dec a
	ld (row),a
	jp wincheck
down:					;move down
	ld a,(row)
	cp 7
	jp z,wincheck
	inc a
	ld (row),a
	jp wincheck
enRight:				;enemy move right
	ld a,(enCol)
	cp 15
	jp z,label2
	inc a
	ld (enCol),a
	jp label2
enLeft:					;and left
	ld a,(enCol)
	cp 0
	jp z,label2
	dec a
	ld (enCol),a
	jp label2
enUp:					;and up
	ld a,(enRow)
	cp 1
	jp z,label2
	dec a
	ld (enRow),a
	jp label2
enDown:					;and down
	ld a,(enRow)
	cp 7
	jp z,label2
	inc a
	ld (enRow),a
	jp label2
exit:								;win routine
	b_call _ClrScrnFull			;clear the screen
	b_call _homeup					;shift curcol and currow back to top
	ld hl,winmsg
	bcall(_putS)
	ld a,1
	ld (currow),a
	ld a,0
	ld (curcol),a
	ld HL, (timer)					;load score to HL
	bcall(_DispHL)					;display your score :D
	call reset
winloop
	bcall(_getCSC)
	or a				;figures out which key was pressed
	jr z, winloop
	cp skclear
	jp z, exit2
	cp skenter
	jr nz, winloop
	jp exit3
#include "lib.asm"
#include "variables.asm"
.END
.END
