clearLoc:
	ld a,(colStore)
	ld (curcol),a
	ld a,(rowStore)
	ld (currow),a
	ld a, ' '			;clears current position
	bcall(_putMap)
	ret
dispEn:
	ld a,(enCol)
	ld (curcol),a
	ld a,(enRow)
	ld (currow),a
	ld a, 'X'			;displays the enemy char
	bcall(_putMap)
	ret
clearEn:
	ld a,(colStoreEn)
	ld (curcol),a
	ld a,(rowStoreEn)
	ld (currow),a
	ld a,' '			;clears enemy position
	bcall(_putMap)
	ret
dispLoc:
	ld a,(column)
	ld (curcol),a
	ld a,(row)
	ld (currow),a
	ld a,'O'			;displays your char
	bcall(_putMap)
	ret
StoreLoc:
	ld a, (column)
	ld (colStore), a
	ld a, (row)
	ld (rowStore), a
	ret
StoreEn:
	ld a, (enCol)
	ld (colStoreEn), a
	ld a, (enRow)
	ld (rowStoreEn), a
	ret
dispStats:
	ld a, 0
	ld (curcol),a
	ld (currow),a
	ld HL, (timer)
	bcall(_DispHL)
	ld a, 10
	ld (curcol),a
	ld a, 0
	ld (currow),a
	ld HL, (health)
	bcall(_DispHL)
	ret
menuTitle:
	ld a,4
	ld (curcol),a
	ld a,0
	ld (currow),a
	ld hl,GameName
	b_call _putS
	ld a,6
	ld (curcol),a
	ld a,7
	ld (currow),a
	ld hl,Author
	b_call _putS
	ret
menuItem:
	ld a, 3
	ld (currow), a
	ld a, 5
	ld (curcol), a
	ld a,b
	add a,a
	add a,b
	add a,a
	ld hl, menu
	add a,L
	ld L,a
	jr nc,$+3
	inc h
	b_call _putS
	ret
menuItem2:
	ld a, 3
	ld (currow), a
	ld a, 5
	ld (curcol), a
	ld a,b
	add a,a
	add a,a
	add a,b
	ld hl, difficulties
	add a,L
	ld L,a
	jr nc,$+3
	inc h
	b_call _putS
	ret
iRandom:
	push	hl
	push	de
	ld	hl,(randData)
	ld	a,r
	ld	d,a
	ld	e,(hl)
	add	hl,de
	add	a,l
	xor	h
	ld	(randData),hl
	sbc	hl,hl
	ld	e,a
	ld	d,h
iRandomLoop:
	add	hl,de
	djnz	iRandomLoop
	ld	a,h
	pop	de
	pop	hl
	ret
multiply:
;input: a-multiply
;		b-how many times
	ld c,a
	dec b
	ret z
multloop:
	add a,c
	djnz multloop
	ret
subtract:
	dec a
	djnz subtract
	ret
reset:
	xor a							;resets all stats
	ld (timer),a
	ld (column),a
	ld a,1
	ld (row),a
	ld a,7
	ld (enRow),a
	ld a,15
	ld (enCol),a
	ret
grabElement:
; input: A-element number
;		 HL-list name
;		 b-element size
;output: a-element (if one byte)
;;		 HL-Element (if more then one byte)
	call multiply
    LD     d, 0
    LD     e,a              ; Put A in DE
    ADD    HL, DE
    LD     a, (HL)
	ret
writeElement:
; input: A-element number
;		 HL-list name
;		 c-element value
	LD d, 0
	LD e,a 			; Put A in DE
	ADD HL,DE
	ld a,c
	LD (HL),a
	ret
dispTrees:
;displays tree's from the array trees
;no inputs neccessary
;requires: multiply
;			grabElement
	ld a,0
	ld (tmp1),a
	ld a,10
	ld (tmp2),a
treeloop:
	ld HL,trees
	ld a, (tmp1)
	ld b,1
	call grabElement
	ld (curcol),a
	ld hl,trees
	ld a,(tmp1)
	inc a
	ld (tmp1),a
	ld b,1
	call grabElement
	ld (currow),a
	ld a,'*'
	bcall(_putmap)
	ld a,(tmp1)
	inc a
	ld (tmp1),a
	ld a,(tmp2)
	dec a
	ld (tmp2),a
	jr nz, treeloop
	ret
createTree:
;fills the trees array with random coordinates
;requires:
;			iRandom
;			writeElement
	ld a,0
	ld (tmp1),a
	ld a,10
	ld (tmp2),a
createLoop:
	ld b,15
	call iRandom
	ld c,a
	ld HL,trees
	ld a, (tmp1)
	ld b,1
	call writeElement
	ld b,7
	call iRandom
	ld c,a
	ld hl,trees
	ld a,(tmp1)
	inc a
	ld (tmp1),a
	ld b,1
	call writeElement
createskip:
	ld a,(tmp1)
	inc a
	ld (tmp1),a
	ld a,(tmp2)
	dec a
	ld (tmp2),a
	jr nz, createloop
	ret
clearTop:
	ld a,0
	ld (curcol),a
	ld (currow),a
	ld hl,clearrow
	b_call _putS
	ret